Bug 830804 - SELinux is preventing /usr/lib/systemd/systemd-logind from using the 'signal' accesses on a process.
SELinux is preventing /usr/lib/systemd/systemd-logind from using the 'signal'...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:28c09fbba9353be88899590f460...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 08:56 EDT by Julia
Modified: 2012-06-16 20:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-16 20:04:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Julia 2012-06-11 08:56:59 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.0-1.fc17.x86_64
time:           Mon 11 Jun 2012 08:53:36 AM EDT

description:
:SELinux is preventing /usr/lib/systemd/systemd-logind from using the 'signal' accesses on a process.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that systemd-logind should be allowed signal access on processes labeled devicekit_power_t by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep systemd-logind /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:systemd_logind_t:s0
:Target Context                system_u:system_r:devicekit_power_t:s0
:Target Objects                 [ process ]
:Source                        systemd-logind
:Source Path                   /usr/lib/systemd/systemd-logind
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           systemd-44-12.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-128.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.0-1.fc17.x86_64 #1 SMP Sun Jun 3
:                              06:35:17 UTC 2012 x86_64 x86_64
:Alert Count                   40
:First Seen                    Sat 09 Jun 2012 05:34:48 PM EDT
:Last Seen                     Mon 11 Jun 2012 07:51:39 AM EDT
:Local ID                      b5b9843a-a970-4417-8150-cd92d61db68d
:
:Raw Audit Messages
:type=AVC msg=audit(1339415499.112:241): avc:  denied  { signal } for  pid=767 comm="systemd-logind" scontext=system_u:system_r:systemd_logind_t:s0 tcontext=system_u:system_r:devicekit_power_t:s0 tclass=process
:
:
:type=SYSCALL msg=audit(1339415499.112:241): arch=x86_64 syscall=kill success=no exit=EACCES a0=3780 a1=12 a2=d a3=13 items=0 ppid=1 pid=767 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=systemd-logind exe=/usr/lib/systemd/systemd-logind subj=system_u:system_r:systemd_logind_t:s0 key=(null)
:
:Hash: systemd-logind,systemd_logind_t,devicekit_power_t,process,signal
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Daniel Walsh 2012-06-11 09:55:06 EDT
systemd guys:

We are seeing systemd_logind sending signals to more and more processes?  Does it need to be able to send signals to all processes?  Signals to all dbus processes?
Comment 2 Daniel Walsh 2012-06-11 09:56:10 EDT
Added fix for F18, should be backported in F17
selinux-policy-3.10.0-130.fc17
Comment 3 Julia 2012-06-11 10:03:58 EDT
(In reply to comment #1)
> systemd guys:
> 
> We are seeing systemd_logind sending signals to more and more processes? 
> Does it need to be able to send signals to all processes?  Signals to all
> dbus processes?

I believe so.
Comment 4 Daniel Walsh 2012-06-11 10:08:53 EDT
All processes or just all dbus processes?
Comment 5 Julia 2012-06-11 11:36:59 EDT
all processes
Comment 6 Daniel Walsh 2012-06-11 11:45:31 EDT
Ok I will add those to selinux-policy-3.10.0-130.fc17
Comment 7 Julia 2012-06-11 11:48:23 EDT
I'm new to this site, how do I get access to selinux-policy-3.10.0-130.fc17?
Comment 8 Daniel Walsh 2012-06-11 11:51:33 EDT
It does not exists yet...
Comment 9 Miroslav Grepl 2012-06-11 12:38:28 EDT
Will do a new build today.
Comment 10 Fedora Update System 2012-06-11 17:02:55 EDT
selinux-policy-3.10.0-130.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-130.fc17
Comment 11 Fedora Update System 2012-06-15 19:59:47 EDT
Package selinux-policy-3.10.0-130.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-130.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9520/selinux-policy-3.10.0-130.fc17
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2012-06-16 20:04:46 EDT
selinux-policy-3.10.0-130.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.